/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ab0pr2_cv3.generika.s_generikami;

import ab0pr2_cv3.generika.bez_generik.Polozka;
import java.util.Collections;
import java.util.LinkedList;
import java.util.List;

/**
 *udelat obecne s <T> nakonec pridat, ze primo tato trida bude mit <T extends Polozka> (viz TelefonniSeznamObecnyPotomekPolozka)
 * @author hapallen
 */
public class TelefonniSeznamObecny<T> {

    List<T> seznam = new LinkedList<T>();

    public void vloz(T p) {
        this.seznam.add(p);
    }

    public boolean obsahuje(T p) {
        return seznam.contains(p);
    }

    public void vypis() {
        for (T p : seznam) {
            System.out.println(p);
        }
    }

    public static void main(String[] args) {
        TelefonniSeznamObecny<Polozka> ts = new TelefonniSeznamObecny<Polozka>();
        ts.vloz(new Polozka(1, "adad"));
        ts.vloz(new Polozka(2, "jjjjj"));
        //toto bude hlasit chybu, protoze ts obsahuje objekty typu Polozka
        // ts.vloz(new Integer(0));
        Collections.sort(ts.seznam);
        ts.vypis();

    }
}
